﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <script type="text/javascript">   
     var loggedIn; 
     var roleProxy;   

    function pageLoad() {
       
       loggedIn = Sys.Services.AuthenticationService.get_isLoggedIn();       
        if(loggedIn)
        {
            //Enable UI elements for logged users
        }
        else
        
        {
            //disable UI elements 
        }
        roleProxy = Sys.Services.RoleService;   
    
    }
   
    function OnLogin()
    { 
        var username = $get("txtUserName");
        var password = $get("txtPass");        
        Sys.Services.AuthenticationService.login(username.value,
            password.value, false, null, null, onLoginCompleted, onLoginFailed, "User Context");
        return false;
    }
     function onLoginFailed(Result, userContext, Method)
     {
        alert("Login failed due to exception: "+Result.get_message()+" on method "+ Method);         
     }
     function onLoginCompleted(Result, userContext, Method)
     {     
         loggedIn = Sys.Services.AuthenticationService.get_isLoggedIn();
         if(loggedIn)
         {
         $get("CommentsDIV").style.display ="block";
         $get("UserDetails").style.display ="block";
         $get("UserName").innerText = $get("txtUserName").value;
         $get("LoginDIV").style.display ="none";
         loadRoles();
         }
         else
         {
            alert("Login failed due to invalid credentials!!");
         }
     }
     function SignOut()
     {
         Sys.Services.AuthenticationService.logout(null,onLogoutCompleted,null,null);
         return false;
     }
     function onLogoutCompleted()
     {
        // alert("Logged Out!!!");
          $get("LoginDIV").style.display ="block";
          $get("CommentsDIV").style.display ="none";
          alert("Logged Out!!!");
          return false;
     }
     function loadRoles() {
         roleProxy.load(fnLoadRolesComplete, fnLoadRolesFail, null);
     
     }
     function fnLoadRolesComplete(result, userContext, methodName) {        
         if (roleProxy.isUserInRole("ADMIN")) {
             $get("AdminPanel").style.display = "block";
         } else {
         $get("AdminPanel").style.display = "none";
         }
     }

     function fnLoadRolesFail(error, userContext, methodName) {
         alert(error.get_message());
     }
</script>
</head>
<body>
    <form id="form1" runat="server">
    <div id="placeHolder"></div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">        
        </asp:ScriptManager>
        <div id="UserDetails" runat="server" style="width:100%;text-align:right;">
        <table><tr><td> You are logged in as</td><td><div runat="server" style="font-weight:bold" id="UserName"></div></td><td><a href="#" onclick="return SignOut()">Logout</a></td></tr></table>
       
        </div>
        <div id ="ArticleDIV">
        <div id="AdminPanel" runat="server" style="float:left;width:160px;border:1px;border-style:solid;margin-right:5px;">
        <b>Admin Control Panel</b><br />
        <a href="Admin/Dashboard.aspx">Admin Dashboard</a><br />
        <a href="#">Approve Pending Articles</a><br />
        <a href="#">Moderate Comments</a>
        </div>
        <div id="ArticleContentDIV" style="float:left">
        <b>Forms Authentication in ASP.Net AJAX</b><br />
        Authentication is one of the important modules in any website we develop, unless and until there is nothing private on the site or something we explicitly know as being unnecessary. In ASP.Net AJAX, Forms Authentication is packed with the framework as a web service which is exposed to the client through a web service proxy script. The server side authentication is checked against the authentication database through the web service which can be called via a JavaScript proxy library created by ASP.Net AJAX. This proxy scripts are packed inside Sys.Services namespace which gets exposed to the client when Forms authentication is enabled in the AJAX application. Through this script, it is possible to access the web service from client side JavaScript to verify the authentication and set the authentication cookie.

By default, when we enable the forms authentication we can authenticate the user against the server with a default web service packed with ASP.Net AJAX. This default web service will authenticate the user using default provider and the default database aspnetdb. Obviously, for a successful authentication the user should be added as a member. Moving forward, we will see how to use this authentication service to authenticate a user by the default provider.
</div>
        <div id="MessageDIV" runat="server">
        </div>
        <div id="CommentsDIV" runat="server">
        <asp:UpdatePanel ID="UpdatePanel2" runat="server">
        <ContentTemplate>
        <b>Comments Go here....</b>
            <br />
            <table>
                <tr>
                    <td style="width: 100px">
                   Title
                    </td>
                    <td style="width: 100px">
                        <asp:TextBox ID="TextBox2" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td style="width: 100px">
                    Commented By
                    </td>
                    <td style="width: 100px">
                        <asp:TextBox ID="TextBox3" runat="server"></asp:TextBox></td>
                </tr>
                <tr>
                    <td style="width: 100px">
                    Comments
                    </td>
                    <td style="width: 100px">
                        <asp:TextBox ID="TextBox1" runat="server" Height="48px" TextMode="MultiLine" Width="208px"></asp:TextBox></td>
                </tr>
                <tr>
                    <td style="width: 100px">
                    
                    </td>
                    <td style="width: 100px">
                        <asp:Button ID="btnSave" runat="server" Text="Save" onclick="btnSave_Click" 
                            style="height: 26px"></asp:Button></td>
                </tr>
            </table>
        </ContentTemplate>
        </asp:UpdatePanel>
            &nbsp;&nbsp;
        </div>
        </div>
        <div id="LoginDIV" runat="server">  
        <b>Login to comment</b>     
                &nbsp;<table>
                    <tr>
                        <td style="width: 100px">
                        UserName
                        </td>
                        <td style="width: 100px">
                            <asp:TextBox ID="txtUserName" runat="server"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td style="width: 100px">
                        Password
                        </td>
                        <td style="width: 100px">
                            <asp:TextBox ID="txtPass" runat="server"></asp:TextBox></td>
                    </tr>
                    <tr>
                        <td style="width: 100px">
                        </td>
                        <td style="width: 100px">
                            <asp:Button ID="btnLogin" runat="server" OnClientClick="return OnLogin();" Text="Login" /></td>
                    </tr>
                </table>
           
        </div>
    </form>
</body>
</html>
