using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Request.IsAuthenticated)
        {
            LoginDIV.Style["display"] = "none";
            CommentsDIV.Style["display"] = "block";
            UserDetails.Style["display"] = "block"; 
            UserName.InnerText = User.Identity.Name;
            if (User.IsInRole("ADMIN"))
            {
                AdminPanel.Style["display"] = "block";
            }
            else
            {
                AdminPanel.Style["display"] = "none";
            }
        }
        else
        {           
            CommentsDIV.Style["display"] = "none";
            UserDetails.Style["display"] = "none"; 
            AdminPanel.Style["display"] = "none";
        }
    }
    protected void btnSave_Click(object sender, EventArgs e)
    {
        if (Request.IsAuthenticated)
        { 
        //Save to database
        }
    }

    
}